> ## Documentation Index
> Fetch the complete documentation index at: https://developer.worldly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All FSLM Assessments

Retrieves all FSLM module data as a CSV stream.

## Specify which records to return (query)

<Note title="status">
  An array of assessment statuses to query for. Example:

  \{"status": \["ASI"]}
</Note>

<Note title="LastStatusChange">
  Filter for records that have changed status since the provided timestamp. Timestamp must be in unix time in milliseconds
</Note>

<Note title="lastUpdated">
  Filter for records that have been updated since the provided timestamp. Timestamp must be in unix time in milliseconds.
</Note>

<Note title="verified">
  Boolean filter for verified (true) or unverified (false) assessments
</Note>


## OpenAPI

````yaml api-reference/openapi/assessment-api.json POST /fslm
openapi: 3.0.0
info:
  title: module-csv
  version: 1.0.0
servers:
  - url: https://api-v2.production.higg.org/api/v1/modulecsv
    description: Production
  - url: https://api-v2.demo.higg.org/api/v1/modulecsv
    description: Demo
security:
  - sec0: []
    sec1: []
paths:
  /fslm:
    post:
      operationId: ModuleCsvFslm
      requestBody:
        $ref: '#/components/requestBodies/QueryObject'
      responses:
        '204':
          description: No content
components:
  requestBodies:
    QueryObject:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/QueryObject'
  schemas:
    QueryObject:
      properties:
        from:
          type: number
          format: double
          nullable: true
        size:
          type: number
          format: double
          nullable: true
        oarIds:
          items:
            type: string
          type: array
          nullable: true
        assessmentIds:
          items:
            type: string
          type: array
          nullable: true
        accountIds:
          items:
            type: string
          type: array
          nullable: true
        accountSacIds:
          items:
            type: string
          type: array
          nullable: true
        version:
          $ref: '#/components/schemas/AssessmentRfiPid'
        status:
          items:
            $ref: '#/components/schemas/AssessmentStatus'
          type: array
          nullable: true
        verified:
          type: boolean
          nullable: true
        include:
          items:
            type: string
          type: array
          nullable: true
        lastUpdated:
          type: number
          format: double
          nullable: true
        lastActivityDate:
          type: number
          format: double
          nullable: true
        lastStatusChange:
          type: number
          format: double
          nullable: true
        lastASCStatusDate:
          type: number
          format: double
          nullable: true
        greaterThanYear:
          type: number
          format: double
          nullable: true
        cafVersion:
          $ref: '#/components/schemas/CAFVersion'
        dctVersion:
          type: string
          nullable: true
        filters:
          items:
            $ref: '#/components/schemas/KendoFilterFilter'
          type: array
          nullable: true
        nextPage:
          type: string
          nullable: true
        facilityPosted:
          type: boolean
          nullable: true
        sipfacilitytype:
          items:
            type: string
          type: array
          nullable: true
        sort:
          items:
            $ref: '#/components/schemas/QueryObjectSort'
          type: array
          nullable: true
        verificationPosted:
          type: number
          format: double
          nullable: true
        rfi_pid:
          $ref: '#/components/schemas/AssessmentRfiPid'
        wildcardSearch:
          properties:
            sacId:
              type: string
            accountName:
              type: string
            oarId:
              type: string
            tags:
              type: string
            accountId:
              type: string
            customId:
              type: string
            ffcId:
              type: string
          type: object
          nullable: true
        reportingPeriodStart:
          type: number
          format: double
          nullable: true
        reportingPeriodEnd:
          type: number
          format: double
          nullable: true
        isBaseMaterialFilter:
          type: boolean
          nullable: true
      type: object
      additionalProperties: false
    AssessmentRfiPid:
      description: >-
        This interface was referenced by `Exports`'s JSON-Schema via the
        `definition` "assessmentRfiPid".
      enum:
        - fem2017
        - fem2018
        - fem2019
        - fem2020
        - fem2021
        - fem2022
        - fem2023
        - fem2024
        - fem2025
        - fem2026
        - fslm
        - brm2019
        - brm2020
        - brm2021
        - brm2022
        - brm2023
        - brm2024
        - brm2025
        - dct
        - one2022
        - ffc
      type: string
    AssessmentStatus:
      description: >-
        This interface was referenced by `Exports`'s JSON-Schema via the
        `definition` "assessmentStatus".
      enum:
        - NS
        - ASI
        - ASC
        - VRP
        - VRQ
        - VRE
        - VRC
        - VRD
        - VRF
        - VRI
        - ASD
      type: string
    CAFVersion:
      enum:
        - '2.0'
        - '1.7'
        - '1.6'
        - '1.5'
        - '1.4'
        - '1.3'
      type: string
    KendoFilterFilter:
      properties:
        field:
          type: string
        operator:
          type: string
        value:
          type: object
      required:
        - field
        - operator
        - value
      type: object
      additionalProperties: false
    QueryObjectSort:
      properties:
        field:
          type: string
        value:
          $ref: '#/components/schemas/SortQueryObject'
      required:
        - field
        - value
      type: object
      additionalProperties: false
    SortQueryObject:
      enum:
        - asc
        - desc
      type: string
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key
    sec1:
      type: apiKey
      in: header
      name: x-developer-request-token

````